Subject: Re: [Detnet] Moving forward on queuing mechanism

From: Dangjuanna <[email-masked]>
Date: Thu, 8 Jul 2021 02:10:51 +0000

Hi All,

After IETF 110, I have been thinking about the advancement of such related work for a long time. 

There seem to be 3 individual and active drafts related to the queuing mechanism.
1. https://datatracker.ietf.org/doc/draft-dang-queuing-with-multiple-cyclic-buffers/
2. https://datatracker.ietf.org/doc/draft-stein-srtsn/
3. https://datatracker.ietf.org/doc/draft-du-detnet-layer3-low-latency/

There is a common understanding that the queuing mechanism can affect the certainty of the E2E delay, and the final E2E delay obtained by different queuing mechanisms is different.

I read almost all of the DetNet documents carefully and think that the whole working group is still very pragmatic and produced a lot of solid documents. Based on the current IP queuing mechanism, DetNet's work has solved most of the deterministic delay problems, such as through resource reservation, deterministic paths, and traffic engineering. And the methods to solve the problem are to try to use the extension and enhancement of the existing technical mechanism to ensure good compatibility. I think this is the charm of the IETF spirit.

I suggest that we should still think about whether the existing QoS queues of network equipment need to be improved or added with new mechanisms in the MPLS over IP or SR over IP scenarios? Can it better serve current and future highly deterministic businesses, such as delay accuracy ranging from seconds to milliseconds, even microseconds, and nanoseconds? 

I suggest that we will explore in this direction. E.g. In the MPLS over IP with CQF or SR over IP with CQF scenario,
1. What problems still exist in Detnet service deployment?
2. Is time label switching necessary between DetNet nodes with CQF to ensure cycle alignment?
3. Is the existing CQF mechanism further optimized?

Welcome to comment and discuss it.

Best wishes,
Joanna

-----Original Message-----
From: detnet [mailto:[email-masked]] On Behalf Of Lou Berger
Sent: 2021年4月9日 20:45
To: DetNet WG <[email-masked]>
Subject: [Detnet] Moving forward on queuing mechanism

WG,

There has been some discussion on if/where new DetNet related queuing mechanism should be specified.  One possibility is DetNet.  For us to undertake this work, which is atypical for a routing area WG, we will need to revise our charter to reflect the intended scope of our work. We'd like to get the discussion started on this scope.

We think the next step is for those who are interested in working on new queuing mechanisms for DetNet to help by providing a concise problem statement and possible related work items. The WG can then discuss any proposals, agree on the problem to be solved and work to be done.

Thank you,

Lou and Janos

_______________________________________________
detnet mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/detnet